LibreOffice: UriReferenceFactory Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
List of all members
UriReferenceFactory Service Referencepublished

creates URI references. More...

Inheritance diagram for UriReferenceFactory:

## Additional Inherited Members
Public Member Functions inherited from XUriReferenceFactory
XUriReference | parse ([in] string uriReference)
| parses the textual representation of a URI reference.
XUriReference | makeAbsolute ([in] XUriReference baseUriReference, [in] XUriReference uriReference, [in] boolean processAdditionalSpecialSegments, [in] RelativeUriExcessParentSegments excessParentSegments)
| resolves a relative URI reference to absolute form.
XUriReference | makeRelative ([in] XUriReference baseUriReference, [in] XUriReference uriReference, [in] boolean preferAuthorityOverRelativePath, [in] boolean preferAbsoluteOverRelativePath, [in] boolean encodeRetainedSpecialSegments)
| changes an absolute URI reference to relative form.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

creates URI references.

See RFC 3986 for a description of URI references and related terms.

For parsing absolute URI references, this service tries to use a scheme-specific parser. Such a scheme-specific parser will typically enforce additional restrictions during parsing, and will typically return objects that support extra, scheme-specific interfaces in addition to com::sun::star::uri::XUriReference. If no such parser is found, and for relative URI references, a generic parser is used, which returns objects that only support com::sun::star::uri::XUriReference.

Locating a scheme-specific parser works as follows: A scheme consists of Latin capital letters “`A`”–“`Z`”, Latin small letters “`a`”–“`z`”, digits “`0`”–“`9`”, “`+`”, “`-`”, and “`.`”. A scheme s is transformed into a string s′ character-by-character, by translating Latin capital letters to their small counterparts, translating “`+`” to “`PLUS`”, “`-`” to “`HYPHEN`”, “`.`” to “`DOT`”, and copying Latin small letters and digits unchanged. If the component context used while creating this `UriReferenceFactory` instance offers a service manager, and there is a service available at that service manager whose name is the concatenation of “`com.sun.star.uri.UriSchemeParser_`” and s′, then that service is used. It is an error if that service does not support com::sun::star::uri::XUriSchemeParser.

Since
  OOo 2.0

The documentation for this service was generated from the following file:

- com/sun/star/uri/UriReferenceFactory.idl